MailcrateDocs
Inbound

Update an inbound address

PUT
/public/inbound-addresses/{id}

Requires the inbound:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Request Body

application/json
  1. body
label?string
Lengthlength <= 120
senderIdentityId?|
Formatuuid

Response Body

application/json
  1. response
id*string
label*string
address*string
domain*string
status*string
Value in"active""disabled""pending_verification"
expectedForwardingSource*string|null
verifiedAt*|
Formatdate-time
senderIdentityId*string|null
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X PUT 'https://api.mailcrate.io/public/inbound-addresses/string' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "label": "string",  "address": "string",  "domain": "string",  "status": "active",  "expectedForwardingSource": "string",  "verifiedAt": "2019-08-24T14:15:22Z",  "senderIdentityId": "string",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}